/*
 * spi.h
 *
 *  Created on: Jul 2, 2022
 *      Author: hussamaldean
 */

#ifndef SPI_H_
#define SPI_H_

#include "stdint.h"


typedef enum
{
	Tx_Done=1,
	TX_Inprogress=0

}SPI_TXStatus;

typedef enum
{
	Rx_Done=1,
	RX_Inprogress=0

}SPI_RXStatus;

void spi_init();
void spi_transmit(uint8_t *data,uint32_t size);

void spi_dma_init();
void spi1_tx_dma(uint8_t * data, uint16_t len);
void spi1_rx_dma(uint8_t * data, uint16_t len);

uint8_t tx_status();
uint8_t rx_status();

void cs_low();
void cs_high();
#endif /* SPI_H_ */
